﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;

namespace RibbonTest
{
	public partial class MDIParent : Form, IUIElementCreationFilter
	{
		public MDIParent()
		{
			InitializeComponent();
		}

		private void MDIParent_Load(object sender, EventArgs e)
		{
			ultraToolbarsManager1.CreationFilter = this;

			var frm = new MDIChild();
			frm.MdiParent = this;
			frm.Show();
			frm.WindowState = FormWindowState.Maximized;
		}

		private void ultraToolbarsManager1_BeforeToolbarListDropdown(object sender, BeforeToolbarListDropdownEventArgs e)
		{
			e.Cancel = true;
		}

		#region IUIElementCreationFilter Members

		public void AfterCreateChildElements(UIElement parent)
		{
			if (parent is QatQuickCustomizeToolUIElement)
			{
				parent.Parent.ChildElements.Remove(parent);
			}
		}

		public bool BeforeCreateChildElements(UIElement parent)
		{
			return false;
		}

		#endregion
	}
}
